# Functor Ocsigen_senders.Make_XML_Content

    module Make_XML_Content: functor (Xml : Xml_sigs.Iterable) -> functor (Typed_xml : Xml_sigs.Typed_xml  with module Xml := Xml) -> Ocsigen_http_frame.HTTP_CONTENT
      with type t = Typed_xml.doc
       and type options = Http_headers.accept Lazy.t

Parameters:

`Xml` | : | `Xml_sigs.Iterable`
`Typed_xml` | : | `Xml_sigs.Typed_xml with module Xml := Xml`

    type t

    type options

    val result_of_content : ?options:options ->
           t -> Ocsigen_http_frame.Result.result Lwt.t

    val get_etag : ?options:options ->
           t -> Ocsigen_http_frame.etag option